// out: gui.css, sourcemap: false, compress: true

@import "variablesGlobales.less";
@import "variablesSpecs.less";

body{
  background-color: #f4f4f4;
  margin: 1mm;
}

#tools,
#nav{
  position: fixed;
  bottom: 0;
  right: 0;
  background: white;
  font-family: monospace;
}

#tools{ //boite a outils en bas
  left: 0;
  border-top: 1px solid;
  z-index: 15;
  li{
    display: inline-block;
    margin: 5px;
    margin-right: 10px;
    border: 1px solid;
    padding: 5px;
    &:hover,
    &.clicked{
      background: black;
      color: white;
      cursor: pointer;
    }
    &:nth-of-type(1),
    &:nth-of-type(1):hover{
      border: 0px solid;
      background: white;
      color: black;
      margin: 0;
      margin-right: 10px;
    }
  }
}

#nav{ //boite a outils de droite
  top: 0;
  z-index: 10;
  overflow-y: scroll;
  width: 17%;
  padding: 10px;
  padding-bottom: 50px;
  border-left: 1px solid;
  ul{
    margin-left: 10px;
    li{
      padding-bottom: 5px;
    }
    li a:hover{
      text-decoration: underline;
    }
  }
}

.bleed{ //doublepage
  height: @pageH + (@page-bleed * 2);
  width: @pageW + (@page-bleed * 2);
  padding: @page-bleed;
  float: left;
  position: relative;
  vertical-align: top;
  display: block;
  transform-origin: 0 0;
  border: 1px solid green;
  margin-top: @unitW * 2;
  margin-bottom: @unitW * 2;
  &.bleed:nth-of-type(odd){
    border-right: none;
    margin-left: @unitW * 2;

  }
  &.bleed:nth-of-type(even){
    border-left: none;
    margin-right: @unitW * 2;
  }
  .page{
    background: white;
    width: 100%;
    height: 100%;
    border: 1px solid;
    display: inline-block;
    position: relative;
    padding: @unitH @unitW;
    .grids{ //grille
      z-index: 1;
      position: relative;
      opacity: .4;
      .grid{
        display: flex;
        position: absolute;
        width: @pageW;
        height: @pageH;
        margin-left: -@unitW;
        margin-top: -@unitH;
        transform-origin: 0 0;
      }
      .gridCol{
        flex-direction: row;
        .column{
          border-right: 1px solid red;
          width: calc(100% ~'- 1px');
          height: 100%;
        }
      }
      .gridRow{
        flex-direction: column;
        .row{
          border-bottom: 1px solid red;
          width: 100%;
          height: calc(100% ~'- 1px');
        }
      }
    }
    .crop{
      display: none;
      position: absolute;
      z-index: 10;
      &.cropTop,
      &.cropBottom{
        width: @pageW;
        height: @page-bleed;
        border-left: .25pt solid black;
        border-right: .25pt solid black;
      }
      &.cropLeft,
      &.cropRight{
        width: @page-bleed;
        height: @pageH;
        border-top: .25pt solid black;
        border-bottom: .25pt solid black;
      }
      &.cropTop,
      &.cropLeft,
      &.cropRight{
        top: 0;
      }
      &.cropTop,
      &.cropLeft,
      &.cropBottom{
        left: 0;
      }
      &.cropTop{
        margin-top: -@page-bleed - @crop-offset;
      }
      &.cropLeft{
        margin-left: -@page-bleed - @crop-offset;
      }
      &.cropRight{
        right: 0;
        margin-right: -@page-bleed - @crop-offset;
      }
      &.cropBottom{
        bottom: 0;
        margin-bottom: -@page-bleed - @crop-offset;
      }
    }
    &.pageRight{
      .pagination{
        right: @unitW;
      }
    }
  }
  &.hideBleed{
    border: none;
    .page{
      overflow: hidden;
    }
  }
  &:not(.singlePages):nth-of-type(even){
    margin-left: -(@page-bleed * 2);
  }
}

.bleed.singlePages{ // page simple
  float: none;
  width: @pageW + (@page-bleed * 2);
  height: @pageH + (@page-bleed * 2);
  padding: @page-bleed;
  margin: @crop-offset;
  .page{
    position: relative;
    width: @pageW;
    height: @pageH;
    .crop{
      display: block;
    }
  }
  &.singlePages:nth-of-type(odd),
  &.singlePages:nth-of-type(even){
    border: 1px solid green;
    margin-left: @crop-offset;
    margin-right: @crop-offset;
  }
  &.hideBleed{
    border: none;
    .page{
      overflow: hidden;
    }
  }
}
